part of 'help_support_bloc.dart';

class HelpSupportState {
  final List<HelpSupportModel> faqs;
  final bool isLoading;
  final String? error;

  HelpSupportState({
    required this.faqs,
    required this.isLoading,
    this.error,
  });

  factory HelpSupportState.initial() => HelpSupportState(faqs: [], isLoading: false);

  HelpSupportState copyWith({
    List<HelpSupportModel>? faqs,
    bool? isLoading,
    String? error,
  }) {
    return HelpSupportState(
      faqs: faqs ?? this.faqs,
      isLoading: isLoading ?? this.isLoading,
      error: error ?? this.error,
    );
  }
}
